com.amazonaws.services.codedeploy.model

## Class BatchGetApplicationRevisionsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codedeploy.model.BatchGetApplicationRevisionsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class BatchGetApplicationRevisionsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

Represents the input of a batch get application revisions operation.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`BatchGetApplicationRevisionsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetApplicationRevisionsRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of an AWS CodeDeploy application about which to get revision information.
`List<RevisionLocation>` `getRevisions()` Information to get about the application revisions, including type and location.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of an AWS CodeDeploy application about which to get revision information.
`void` `setRevisions(Collection<RevisionLocation> revisions)` Information to get about the application revisions, including type and location.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetApplicationRevisionsRequest` `withApplicationName(String applicationName)` The name of an AWS CodeDeploy application about which to get revision information.
`BatchGetApplicationRevisionsRequest` `withRevisions(Collection<RevisionLocation> revisions)` Information to get about the application revisions, including type and location.
`BatchGetApplicationRevisionsRequest` `withRevisions(RevisionLocation... revisions)` Information to get about the application revisions, including type and location.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetApplicationRevisionsRequest

    public BatchGetApplicationRevisionsRequest()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of an AWS CodeDeploy application about which to get revision information.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application about which to get revision information.

#### getApplicationName

    public String getApplicationName()

The name of an AWS CodeDeploy application about which to get revision information.

Returns:
  The name of an AWS CodeDeploy application about which to get revision information.

#### withApplicationName

    public BatchGetApplicationRevisionsRequest withApplicationName(String applicationName)

The name of an AWS CodeDeploy application about which to get revision information.

Parameters:
  `applicationName` - The name of an AWS CodeDeploy application about which to get revision information.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getRevisions

    public List<RevisionLocation> getRevisions()

Information to get about the application revisions, including type and location.

Returns:
  Information to get about the application revisions, including type and location.

#### setRevisions

    public void setRevisions(Collection<RevisionLocation> revisions)

Information to get about the application revisions, including type and location.

Parameters:
  `revisions` - Information to get about the application revisions, including type and location.

#### withRevisions

    public BatchGetApplicationRevisionsRequest withRevisions(RevisionLocation... revisions)

Information to get about the application revisions, including type and location.

NOTE: This method appends the values to the existing list (if any). Use `setRevisions(java.util.Collection)` or `withRevisions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `revisions` - Information to get about the application revisions, including type and location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withRevisions

    public BatchGetApplicationRevisionsRequest withRevisions(Collection<RevisionLocation> revisions)

Information to get about the application revisions, including type and location.

Parameters:
  `revisions` - Information to get about the application revisions, including type and location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetApplicationRevisionsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`